Аккаунт
Текущий пользователь
Возвращает аккаунт, которому принадлежит токен. Удобно, чтобы проверить токен.
GET
/
api
/
users
/
me
/
curl -X GET "https://api.aigenda.tech/api/users/me/" \
-H "Authorization: Bearer <access>"
import requests
response = requests.get(
"https://api.aigenda.tech/api/users/me/",
headers={"Authorization": "Bearer <access>"},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.aigenda.tech/api/users/me/", {
method: "GET",
headers: { Authorization: "Bearer <access>" },
});
const data = await response.json();
console.log(data);
{
"id": 777,
"username": "you@example.com",
"email": "you@example.com"
}
{
"detail": "Given token not valid for any token type",
"code": "token_not_valid"
}
Ответ
integer
Идентификатор пользователя.
string
Логин.
string
Почта.
curl -X GET "https://api.aigenda.tech/api/users/me/" \
-H "Authorization: Bearer <access>"
import requests
response = requests.get(
"https://api.aigenda.tech/api/users/me/",
headers={"Authorization": "Bearer <access>"},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.aigenda.tech/api/users/me/", {
method: "GET",
headers: { Authorization: "Bearer <access>" },
});
const data = await response.json();
console.log(data);
{
"id": 777,
"username": "you@example.com",
"email": "you@example.com"
}
{
"detail": "Given token not valid for any token type",
"code": "token_not_valid"
}
Последнее изменение 17 октября 2026 г.
⌘I
curl -X GET "https://api.aigenda.tech/api/users/me/" \
-H "Authorization: Bearer <access>"
import requests
response = requests.get(
"https://api.aigenda.tech/api/users/me/",
headers={"Authorization": "Bearer <access>"},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.aigenda.tech/api/users/me/", {
method: "GET",
headers: { Authorization: "Bearer <access>" },
});
const data = await response.json();
console.log(data);
{
"id": 777,
"username": "you@example.com",
"email": "you@example.com"
}
{
"detail": "Given token not valid for any token type",
"code": "token_not_valid"
}